New autotools version
[scilab.git] / scilab / modules / ui_data / Makefile.in
1 # Makefile.in generated by automake 1.14 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2013 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 #
18 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
19 # Copyright (C) DIGITEO - 2010 - Allan CORNET
20
21 # This file must be used under the terms of the CeCILL.
22 # This source file is licensed as described in the file COPYING, which
23 # you should have received as part of this distribution.  The terms
24 # are also available at    
25 # http://www.cecill.info/licences/Licence_CeCILL_V2.1-en.txt
26 #
27
28 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
29 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
30 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
31 #
32 # This file must be used under the terms of the CeCILL.
33 # This source file is licensed as described in the file COPYING, which
34 # you should have received as part of this distribution.  The terms
35 # are also available at
36 # http://www.cecill.info/licences/Licence_CeCILL_V2.1-en.txt
37 #
38
39 ##########
40 ### Makefile included stuff
41 ### Target, variable, suffixes which are supposed to be useful in every makefile.am
42 ##########
43
44
45 VPATH = @srcdir@
46 am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
47 am__make_running_with_option = \
48   case $${target_option-} in \
49       ?) ;; \
50       *) echo "am__make_running_with_option: internal error: invalid" \
51               "target option '$${target_option-}' specified" >&2; \
52          exit 1;; \
53   esac; \
54   has_opt=no; \
55   sane_makeflags=$$MAKEFLAGS; \
56   if $(am__is_gnu_make); then \
57     sane_makeflags=$$MFLAGS; \
58   else \
59     case $$MAKEFLAGS in \
60       *\\[\ \   ]*) \
61         bs=\\; \
62         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
63           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
64     esac; \
65   fi; \
66   skip_next=no; \
67   strip_trailopt () \
68   { \
69     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
70   }; \
71   for flg in $$sane_makeflags; do \
72     test $$skip_next = yes && { skip_next=no; continue; }; \
73     case $$flg in \
74       *=*|--*) continue;; \
75         -*I) strip_trailopt 'I'; skip_next=yes;; \
76       -*I?*) strip_trailopt 'I';; \
77         -*O) strip_trailopt 'O'; skip_next=yes;; \
78       -*O?*) strip_trailopt 'O';; \
79         -*l) strip_trailopt 'l'; skip_next=yes;; \
80       -*l?*) strip_trailopt 'l';; \
81       -[dEDm]) skip_next=yes;; \
82       -[JT]) skip_next=yes;; \
83     esac; \
84     case $$flg in \
85       *$$target_option*) has_opt=yes; break;; \
86     esac; \
87   done; \
88   test $$has_opt = yes
89 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
90 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
91 pkgdatadir = $(datadir)/@PACKAGE@
92 pkgincludedir = $(includedir)/@PACKAGE@
93 pkglibdir = $(libdir)/@PACKAGE@
94 pkglibexecdir = $(libexecdir)/@PACKAGE@
95 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
96 install_sh_DATA = $(install_sh) -c -m 644
97 install_sh_PROGRAM = $(install_sh) -c
98 install_sh_SCRIPT = $(install_sh) -c
99 INSTALL_HEADER = $(INSTALL_DATA)
100 transform = $(program_transform_name)
101 NORMAL_INSTALL = :
102 PRE_INSTALL = :
103 POST_INSTALL = :
104 NORMAL_UNINSTALL = :
105 PRE_UNINSTALL = :
106 POST_UNINSTALL = :
107 build_triplet = @build@
108 host_triplet = @host@
109 @GIWS_TRUE@am__append_1 = giws
110 @SWIG_TRUE@am__append_2 = swig
111 @GUI_TRUE@am__append_3 = libsciui_data.la 
112 DIST_COMMON = $(top_srcdir)/Makefile.incl.am $(srcdir)/Makefile.in \
113         $(srcdir)/Makefile.am $(top_srcdir)/config/mkinstalldirs \
114         $(top_srcdir)/config/depcomp
115 @NEED_JAVA_TRUE@am__append_4 = java
116 subdir = modules/ui_data
117 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
118 am__aclocal_m4_deps = $(top_srcdir)/m4/backtrace.m4 \
119         $(top_srcdir)/m4/compiler.m4 $(top_srcdir)/m4/curl.m4 \
120         $(top_srcdir)/m4/docbook.m4 $(top_srcdir)/m4/doxygen.m4 \
121         $(top_srcdir)/m4/fftw.m4 $(top_srcdir)/m4/fortran.m4 \
122         $(top_srcdir)/m4/giws.m4 $(top_srcdir)/m4/hdf5.m4 \
123         $(top_srcdir)/m4/intel_compiler.m4 \
124         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
125         $(top_srcdir)/m4/largefile.m4 $(top_srcdir)/m4/lib-ld.m4 \
126         $(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
127         $(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/ltoptions.m4 \
128         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
129         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/macosx.m4 \
130         $(top_srcdir)/m4/mpi.m4 $(top_srcdir)/m4/ocaml.m4 \
131         $(top_srcdir)/m4/pcre.m4 $(top_srcdir)/m4/pkg.m4 \
132         $(top_srcdir)/m4/relocatable.m4 $(top_srcdir)/m4/swig.m4 \
133         $(top_srcdir)/m4/symlinks.m4 $(top_srcdir)/m4/tcltk.m4 \
134         $(top_srcdir)/m4/umfpack.m4 $(top_srcdir)/configure.ac
135 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
136         $(ACLOCAL_M4)
137 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
138 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
139 CONFIG_CLEAN_FILES =
140 CONFIG_CLEAN_VPATH_FILES =
141 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
142 am__vpath_adj = case $$p in \
143     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
144     *) f=$$p;; \
145   esac;
146 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
147 am__install_max = 40
148 am__nobase_strip_setup = \
149   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
150 am__nobase_strip = \
151   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
152 am__nobase_list = $(am__nobase_strip_setup); \
153   for p in $$list; do echo "$$p $$p"; done | \
154   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
155   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
156     if (++n[$$2] == $(am__install_max)) \
157       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
158     END { for (dir in files) print dir, files[dir] }'
159 am__base_list = \
160   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
161   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
162 am__uninstall_files_from_dir = { \
163   test -z "$$files" \
164     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
165     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
166          $(am__cd) "$$dir" && rm -f $$files; }; \
167   }
168 am__installdirs = "$(DESTDIR)$(pkglibdir)" \
169         "$(DESTDIR)$(libsciui_data_la_etcdir)" \
170         "$(DESTDIR)$(libsciui_data_la_rootdir)" \
171         "$(DESTDIR)$(libsciui_data_la_sci_gatewaydir)" \
172         "$(DESTDIR)$(libsciui_data_la_iconsdir)"
173 LTLIBRARIES = $(noinst_LTLIBRARIES) $(pkglib_LTLIBRARIES)
174 libsciui_data_algo_la_LIBADD =
175 am__objects_1 = libsciui_data_algo_la-ui_data_wrap.lo \
176         libsciui_data_algo_la-PutScilabVariable.lo
177 am__objects_2 = libsciui_data_algo_la-BrowseVar.lo \
178         libsciui_data_algo_la-EditVar.lo \
179         libsciui_data_algo_la-FileBrowser.lo
180 am__objects_3 = libsciui_data_algo_la-BrowseVarManager.lo \
181         libsciui_data_algo_la-FileBrowserChDir.lo
182 am_libsciui_data_algo_la_OBJECTS = $(am__objects_1) $(am__objects_2) \
183         $(am__objects_3)
184 libsciui_data_algo_la_OBJECTS = $(am_libsciui_data_algo_la_OBJECTS)
185 AM_V_lt = $(am__v_lt_@AM_V@)
186 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
187 am__v_lt_0 = --silent
188 am__v_lt_1 = 
189 @GUI_TRUE@am_libsciui_data_algo_la_rpath =
190 libsciui_data_disable_la_LIBADD =
191 am__objects_4 = libsciui_data_disable_la-noui_data.lo
192 am_libsciui_data_disable_la_OBJECTS = $(am__objects_4)
193 libsciui_data_disable_la_OBJECTS =  \
194         $(am_libsciui_data_disable_la_OBJECTS)
195 libsciui_data_la_DEPENDENCIES = libsciui_data-algo.la
196 am__objects_5 = libsciui_data_la-gw_ui_data.lo
197 am__objects_6 = libsciui_data_la-sci_editvar.lo \
198         libsciui_data_la-sci_browsevar.lo \
199         libsciui_data_la-sci_filebrowser.lo \
200         libsciui_data_la-sci_updatebrowsevar.lo \
201         libsciui_data_la-sci_closeEditvar.lo
202 am_libsciui_data_la_OBJECTS = $(am__objects_5) $(am__objects_6)
203 libsciui_data_la_OBJECTS = $(am_libsciui_data_la_OBJECTS)
204 libsciui_data_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX \
205         $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CXXLD) \
206         $(AM_CXXFLAGS) $(CXXFLAGS) $(libsciui_data_la_LDFLAGS) \
207         $(LDFLAGS) -o $@
208 @GUI_TRUE@am_libsciui_data_la_rpath = -rpath $(pkglibdir)
209 AM_V_P = $(am__v_P_@AM_V@)
210 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
211 am__v_P_0 = false
212 am__v_P_1 = :
213 AM_V_GEN = $(am__v_GEN_@AM_V@)
214 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
215 am__v_GEN_0 = @echo "  GEN     " $@;
216 am__v_GEN_1 = 
217 AM_V_at = $(am__v_at_@AM_V@)
218 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
219 am__v_at_0 = @
220 am__v_at_1 = 
221 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/modules/core/includes
222 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
223 am__depfiles_maybe = depfiles
224 am__mv = mv -f
225 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
226         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
227 LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
228         $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
229         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
230         $(AM_CFLAGS) $(CFLAGS)
231 AM_V_CC = $(am__v_CC_@AM_V@)
232 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
233 am__v_CC_0 = @echo "  CC      " $@;
234 am__v_CC_1 = 
235 CCLD = $(CC)
236 LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
237         $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
238         $(AM_LDFLAGS) $(LDFLAGS) -o $@
239 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
240 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
241 am__v_CCLD_0 = @echo "  CCLD    " $@;
242 am__v_CCLD_1 = 
243 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
244         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
245 LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
246         $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
247         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
248         $(AM_CXXFLAGS) $(CXXFLAGS)
249 AM_V_CXX = $(am__v_CXX_@AM_V@)
250 am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
251 am__v_CXX_0 = @echo "  CXX     " $@;
252 am__v_CXX_1 = 
253 CXXLD = $(CXX)
254 CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
255         $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
256         $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
257 AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
258 am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
259 am__v_CXXLD_0 = @echo "  CXXLD   " $@;
260 am__v_CXXLD_1 = 
261 SOURCES = $(libsciui_data_algo_la_SOURCES) \
262         $(libsciui_data_disable_la_SOURCES) \
263         $(libsciui_data_la_SOURCES)
264 DIST_SOURCES = $(libsciui_data_algo_la_SOURCES) \
265         $(libsciui_data_disable_la_SOURCES) \
266         $(libsciui_data_la_SOURCES)
267 am__can_run_installinfo = \
268   case $$AM_UPDATE_INFO_DIR in \
269     n|no|NO) false;; \
270     *) (install-info --version) >/dev/null 2>&1;; \
271   esac
272 DATA = $(libsciui_data_la_etc_DATA) $(libsciui_data_la_root_DATA) \
273         $(libsciui_data_la_sci_gateway_DATA) \
274         $(nobase_libsciui_data_la_icons_DATA)
275 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
276 # Read a list of newline-separated strings from the standard input,
277 # and print each of them once, without duplicates.  Input order is
278 # *not* preserved.
279 am__uniquify_input = $(AWK) '\
280   BEGIN { nonempty = 0; } \
281   { items[$$0] = 1; nonempty = 1; } \
282   END { if (nonempty) { for (i in items) print i; }; } \
283 '
284 # Make sure the list of sources is unique.  This is necessary because,
285 # e.g., the same source file might be shared among _SOURCES variables
286 # for different programs/libraries.
287 am__define_uniq_tagged_files = \
288   list='$(am__tagged_files)'; \
289   unique=`for i in $$list; do \
290     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
291   done | $(am__uniquify_input)`
292 ETAGS = etags
293 CTAGS = ctags
294 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
295 ACLOCAL = @ACLOCAL@
296 ALL_LINGUAS = @ALL_LINGUAS@
297 ALL_LINGUAS_DOC = @ALL_LINGUAS_DOC@
298 AMTAR = @AMTAR@
299 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
300 ANT = @ANT@
301 ANTLR = @ANTLR@
302 AR = @AR@
303 ARPACK_LIBS = @ARPACK_LIBS@
304 ASM3 = @ASM3@
305 AUTOCONF = @AUTOCONF@
306 AUTOHEADER = @AUTOHEADER@
307 AUTOMAKE = @AUTOMAKE@
308 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
309 AWK = @AWK@
310 BATIK = @BATIK@
311 BLAS_LIBS = @BLAS_LIBS@
312 CC = @CC@
313 CCACHE = @CCACHE@
314 CCDEPMODE = @CCDEPMODE@
315 CFLAGS = @CFLAGS@
316 CHECKSTYLE = @CHECKSTYLE@
317 COBERTURA = @COBERTURA@
318 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
319 COMMONS_IO = @COMMONS_IO@
320 COMMONS_LOGGING = @COMMONS_LOGGING@
321 CPP = @CPP@
322 CPPFLAGS = @CPPFLAGS@
323 CURL_CFLAGS = @CURL_CFLAGS@
324 CURL_CONFIG = @CURL_CONFIG@
325 CURL_LIBS = @CURL_LIBS@
326 CURL_VERSION = @CURL_VERSION@
327 CXX = @CXX@
328 CXXCPP = @CXXCPP@
329 CXXDEPMODE = @CXXDEPMODE@
330 CXXFLAGS = @CXXFLAGS@
331 CYGPATH_W = @CYGPATH_W@
332 DEFS = @DEFS@
333 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
334 DEPDIR = @DEPDIR@
335 DOCBOOK_ROOT = @DOCBOOK_ROOT@
336 DOXYGEN_BIN = @DOXYGEN_BIN@
337 DSYMUTIL = @DSYMUTIL@
338 DUMPBIN = @DUMPBIN@
339 ECHO_C = @ECHO_C@
340 ECHO_N = @ECHO_N@
341 ECHO_T = @ECHO_T@
342 EGREP = @EGREP@
343 EXEEXT = @EXEEXT@
344 F77 = @F77@
345 FFLAGS = @FFLAGS@
346 FFTW3_LIB = @FFTW3_LIB@
347 FFTW_ENABLE = @FFTW_ENABLE@
348 FGREP = @FGREP@
349 FLEXDOCK = @FLEXDOCK@
350 FLIBS = @FLIBS@
351 FOP = @FOP@
352 GENHTML = @GENHTML@
353 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
354 GIWS_BIN = @GIWS_BIN@
355 GLUEGEN2_RT = @GLUEGEN2_RT@
356 GMSGFMT = @GMSGFMT@
357 GMSGFMT_015 = @GMSGFMT_015@
358 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
359 GREP = @GREP@
360 GUI_ENABLE = @GUI_ENABLE@
361 HDF5_CFLAGS = @HDF5_CFLAGS@
362 HDF5_LIBS = @HDF5_LIBS@
363 HELP_ENABLE = @HELP_ENABLE@
364 INSTALL = @INSTALL@
365 INSTALL_DATA = @INSTALL_DATA@
366 INSTALL_PROGRAM = @INSTALL_PROGRAM@
367 INSTALL_SCRIPT = @INSTALL_SCRIPT@
368 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
369 INTLLIBS = @INTLLIBS@
370 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
371 JAR = @JAR@
372 JAVA = @JAVA@
373 JAVAC = @JAVAC@
374 JAVAC_DEBUG = @JAVAC_DEBUG@
375 JAVADOC = @JAVADOC@
376 JAVAH = @JAVAH@
377 JAVASCI_ENABLE = @JAVASCI_ENABLE@
378 JAVA_ENABLE = @JAVA_ENABLE@
379 JAVA_G = @JAVA_G@
380 JAVA_HOME = @JAVA_HOME@
381 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
382 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
383 JDB = @JDB@
384 JEUCLID_CORE = @JEUCLID_CORE@
385 JGRAPHX = @JGRAPHX@
386 JHALL = @JHALL@
387 JLATEXMATH = @JLATEXMATH@
388 JLATEXMATH_FOP = @JLATEXMATH_FOP@
389 JOGL2 = @JOGL2@
390 JROSETTA_API = @JROSETTA_API@
391 JROSETTA_ENGINE = @JROSETTA_ENGINE@
392 JUNIT4 = @JUNIT4@
393 LAPACK_LIBS = @LAPACK_LIBS@
394 LCOV = @LCOV@
395 LD = @LD@
396 LDFLAGS = @LDFLAGS@
397 LIBICONV = @LIBICONV@
398 LIBINTL = @LIBINTL@
399 LIBM = @LIBM@
400 LIBOBJS = @LIBOBJS@
401 LIBS = @LIBS@
402 LIBTOOL = @LIBTOOL@
403 LIPO = @LIPO@
404 LN_S = @LN_S@
405 LOGGING_LEVEL = @LOGGING_LEVEL@
406 LOOKS = @LOOKS@
407 LTLIBICONV = @LTLIBICONV@
408 LTLIBINTL = @LTLIBINTL@
409 LTLIBOBJS = @LTLIBOBJS@
410 MAINT = @MAINT@
411 MAKEINFO = @MAKEINFO@
412 MATIO_CFLAGS = @MATIO_CFLAGS@
413 MATIO_ENABLE = @MATIO_ENABLE@
414 MATIO_LIBS = @MATIO_LIBS@
415 MKDIR_P = @MKDIR_P@
416 MPI_ENABLE = @MPI_ENABLE@
417 MSGCAT = @MSGCAT@
418 MSGFMT = @MSGFMT@
419 MSGFMT_015 = @MSGFMT_015@
420 MSGMERGE = @MSGMERGE@
421 NM = @NM@
422 NMEDIT = @NMEDIT@
423 OBJDUMP = @OBJDUMP@
424 OBJEXT = @OBJEXT@
425 OCAMLC = @OCAMLC@
426 OCAMLDEP = @OCAMLDEP@
427 OCAMLLEX = @OCAMLLEX@
428 OCAMLOPT = @OCAMLOPT@
429 OCAMLYACC = @OCAMLYACC@
430 OPENMPI_CC = @OPENMPI_CC@
431 OPENMPI_CFLAGS = @OPENMPI_CFLAGS@
432 OPENMPI_CXX = @OPENMPI_CXX@
433 OPENMPI_CXXFLAGS = @OPENMPI_CXXFLAGS@
434 OPENMPI_LIBS = @OPENMPI_LIBS@
435 OPENMP_CFLAGS = @OPENMP_CFLAGS@
436 OPENMP_CXXFLAGS = @OPENMP_CXXFLAGS@
437 OPENMP_ENABLE = @OPENMP_ENABLE@
438 OPENMP_LIBS = @OPENMP_LIBS@
439 OTOOL = @OTOOL@
440 OTOOL64 = @OTOOL64@
441 PACKAGE = @PACKAGE@
442 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
443 PACKAGE_NAME = @PACKAGE_NAME@
444 PACKAGE_STRING = @PACKAGE_STRING@
445 PACKAGE_TARNAME = @PACKAGE_TARNAME@
446 PACKAGE_URL = @PACKAGE_URL@
447 PACKAGE_VERSION = @PACKAGE_VERSION@
448 PATH_SEPARATOR = @PATH_SEPARATOR@
449 PCRE_CFLAGS = @PCRE_CFLAGS@
450 PCRE_CONFIG = @PCRE_CONFIG@
451 PCRE_LIBS = @PCRE_LIBS@
452 PCRE_VERSION = @PCRE_VERSION@
453 PKG_CONFIG = @PKG_CONFIG@
454 POSUB = @POSUB@
455 POW_LIB = @POW_LIB@
456 PYTHON = @PYTHON@
457 RANLIB = @RANLIB@
458 RELOCATABLE = @RELOCATABLE@
459 RT_LIB = @RT_LIB@
460 SAXON = @SAXON@
461 SCILAB_BINARY_VERSION = @SCILAB_BINARY_VERSION@
462 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
463 SCILAB_VERSION_MAINTENANCE = @SCILAB_VERSION_MAINTENANCE@
464 SCILAB_VERSION_MAJOR = @SCILAB_VERSION_MAJOR@
465 SCILAB_VERSION_MINOR = @SCILAB_VERSION_MINOR@
466 SCIRENDERER = @SCIRENDERER@
467 SCIRENDERER_CP = @SCIRENDERER_CP@
468 SCI_CFLAGS = @SCI_CFLAGS@
469 SCI_CXXFLAGS = @SCI_CXXFLAGS@
470 SCI_FFLAGS = @SCI_FFLAGS@
471 SCI_LDFLAGS = @SCI_LDFLAGS@
472 SED = @SED@
473 SET_MAKE = @SET_MAKE@
474 SET_RELOCATABLE = @SET_RELOCATABLE@
475 SHELL = @SHELL@
476 SKINLF = @SKINLF@
477 SPLINT = @SPLINT@
478 STRIP = @STRIP@
479 SWIG_BIN = @SWIG_BIN@
480 SWIG_JAVA = @SWIG_JAVA@
481 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
482 SWIG_SCILAB = @SWIG_SCILAB@
483 TCLTK_LIBS = @TCLTK_LIBS@
484 TCL_INC_PATH = @TCL_INC_PATH@
485 TK_INC_PATH = @TK_INC_PATH@
486 UMFPACK_ENABLE = @UMFPACK_ENABLE@
487 UMFPACK_LIB = @UMFPACK_LIB@
488 USE_NLS = @USE_NLS@
489 VERSION = @VERSION@
490 WITH_OCAML = @WITH_OCAML@
491 WITH_TKSCI = @WITH_TKSCI@
492 XCOS_ENABLE = @XCOS_ENABLE@
493 XGETTEXT = @XGETTEXT@
494 XGETTEXT_015 = @XGETTEXT_015@
495 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
496 XMKMF = @XMKMF@
497 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
498 XML_APIS_EXT = @XML_APIS_EXT@
499 XML_CONFIG = @XML_CONFIG@
500 XML_FLAGS = @XML_FLAGS@
501 XML_LIBS = @XML_LIBS@
502 XML_VERSION = @XML_VERSION@
503 X_CFLAGS = @X_CFLAGS@
504 X_EXTRA_LIBS = @X_EXTRA_LIBS@
505 X_LIBS = @X_LIBS@
506 X_PRE_LIBS = @X_PRE_LIBS@
507 abs_builddir = @abs_builddir@
508 abs_srcdir = @abs_srcdir@
509 abs_top_builddir = @abs_top_builddir@
510 abs_top_srcdir = @abs_top_srcdir@
511 ac_ct_AR = @ac_ct_AR@
512 ac_ct_CC = @ac_ct_CC@
513 ac_ct_CXX = @ac_ct_CXX@
514 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
515 ac_ct_F77 = @ac_ct_F77@
516 am__include = @am__include@
517 am__leading_dot = @am__leading_dot@
518 am__quote = @am__quote@
519 am__tar = @am__tar@
520 am__untar = @am__untar@
521 bindir = @bindir@
522 build = @build@
523 build_alias = @build_alias@
524 build_cpu = @build_cpu@
525 build_os = @build_os@
526 build_vendor = @build_vendor@
527 builddir = @builddir@
528 cxx_present = @cxx_present@
529 datadir = @datadir@
530 datarootdir = @datarootdir@
531 docdir = @docdir@
532 dvidir = @dvidir@
533 exec_prefix = @exec_prefix@
534 host = @host@
535 host_alias = @host_alias@
536 host_cpu = @host_cpu@
537 host_os = @host_os@
538 host_vendor = @host_vendor@
539 htmldir = @htmldir@
540 includedir = @includedir@
541 infodir = @infodir@
542 install_sh = @install_sh@
543 libdir = @libdir@
544 libexecdir = @libexecdir@
545 localedir = @localedir@
546 localstatedir = @localstatedir@
547 mandir = @mandir@
548 mkdir_p = @mkdir_p@
549 oldincludedir = @oldincludedir@
550 pdfdir = @pdfdir@
551 prefix = @prefix@
552 program_transform_name = @program_transform_name@
553 psdir = @psdir@
554 sbindir = @sbindir@
555 sharedstatedir = @sharedstatedir@
556 srcdir = @srcdir@
557 sysconfdir = @sysconfdir@
558 target_alias = @target_alias@
559 top_build_prefix = @top_build_prefix@
560 top_builddir = @top_builddir@
561 top_srcdir = @top_srcdir@
562
563 #### Target ######
564 modulename = ui_data
565
566 #### ui_data : Conf files ####
567 libsciui_data_la_rootdir = $(mydatadir)
568 libsciui_data_la_root_DATA = license.txt 
569
570 #### ui_data : init scripts ####
571 libsciui_data_la_etcdir = $(mydatadir)/etc
572 libsciui_data_la_etc_DATA = \
573         etc/ui_data.quit \
574         etc/ui_data.start \
575         etc/variablebrowser_menubar.xml \
576         etc/variableeditor_menubar.xml \
577         etc/XConfiguration-variables.xml \
578         etc/XConfiguration-variables.xsl
579
580 UI_DATA_JNI_SOURCES = src/jni/BrowseVar.cpp \
581                       src/jni/EditVar.cpp \
582                       src/jni/FileBrowser.cpp
583
584 UI_DATA_C_SOURCES = src/jni/ui_data_wrap.c \
585                     src/c/PutScilabVariable.c
586
587 UI_DATA_CXX_SOURCES = src/cpp/BrowseVarManager.cpp \
588                       src/cpp/FileBrowserChDir.cpp
589
590 GIWS_WRAPPERS = \
591 src/jni/BrowseVar.giws.xml \
592 src/jni/EditVar.giws.xml \
593 src/jni/FileBrowser.giws.xml
594
595 SWIG_WRAPPERS = \
596 src/jni/ui_data.i
597
598 BUILT_SOURCES = $(am__append_1) $(am__append_2)
599 GATEWAY_C_SOURCES = sci_gateway/c/gw_ui_data.c
600 GATEWAY_CXX_SOURCES = sci_gateway/cpp/sci_editvar.cpp \
601                       sci_gateway/cpp/sci_browsevar.cpp \
602                       sci_gateway/cpp/sci_filebrowser.cpp \
603                         sci_gateway/cpp/sci_updatebrowsevar.cpp \
604                         sci_gateway/cpp/sci_closeEditvar.cpp
605
606 libsciui_data_la_CPPFLAGS = $(JAVA_JNI_INCLUDE) \
607                         -I$(srcdir)/includes/ \
608                         -I$(srcdir)/src/cpp/ \
609                         -I$(srcdir)/src/c/ \
610                         -I$(srcdir)/src/jni/ \
611                         -I$(top_srcdir)/modules/jvm/includes/ \
612                         -I$(top_srcdir)/modules/output_stream/includes/ \
613                         -I$(top_srcdir)/modules/commons/src/jni \
614                         -I$(top_srcdir)/modules/localization/includes/ \
615                         -I$(top_srcdir)/modules/api_scilab/includes/ \
616                         -I$(top_srcdir)/modules/fileio/includes/ \
617                         -I$(top_srcdir)/modules/core/includes \
618                         $(AM_CPPFLAGS)
619
620
621 # Without the ui_data module 
622 libsciui_data_disable_la_CPPFLAGS = -I$(srcdir)/includes/ \
623                         -I$(top_srcdir)/modules/localization/includes/ \
624                         -I$(top_srcdir)/modules/output_stream/includes \
625                         $(AM_CPPFLAGS)
626
627 UI_DATA_DISABLE_C_SOURCES = src/noui_data/noui_data.c
628 libsciui_data_disable_la_SOURCES = $(UI_DATA_DISABLE_C_SOURCES)
629 pkglib_LTLIBRARIES = libsciui_data-disable.la $(am__append_3)
630 @GUI_TRUE@noinst_LTLIBRARIES = libsciui_data-algo.la 
631 libsciui_data_la_LDFLAGS = $(X_LIBS) $(X_EXTRA_LIBS) $(AM_LDFLAGS)
632 libsciui_data_algo_la_SOURCES = $(UI_DATA_C_SOURCES) $(UI_DATA_JNI_SOURCES) $(UI_DATA_CXX_SOURCES)
633 libsciui_data_la_SOURCES = $(GATEWAY_C_SOURCES) $(GATEWAY_CXX_SOURCES)
634 libsciui_data_algo_la_CPPFLAGS = $(libsciui_data_la_CPPFLAGS)
635
636 # For the code check (splint)
637 CHECK_SRC = $(UI_DATA_C_SOURCES) $(GATEWAY_C_SOURCES)
638 INCLUDE_FLAGS = $(libsciui_data_la_CPPFLAGS)
639 libsciui_data_la_LIBADD = libsciui_data-algo.la
640
641 #### ui_data : gateway declaration ####
642 libsciui_data_la_sci_gatewaydir = $(mydatadir)/sci_gateway
643 libsciui_data_la_sci_gateway_DATA = sci_gateway/ui_data_gateway.xml
644
645 #### ui_data : icons files ####
646 #
647 # Generated with:
648 #    $ find images/ -type f -printf "%p \\\\\n" -name *.svg -or -name *.gif -or -name *.jpg -or -name *.png |sort -u
649 libsciui_data_la_iconsdir = $(mydatadir)/
650 nobase_libsciui_data_la_icons_DATA = images/icons/16x16/mimetypes/array_up.png \
651 images/icons/16x16/mimetypes/boolean.png \
652 images/icons/16x16/mimetypes/cell.png \
653 images/icons/16x16/mimetypes/double.png \
654 images/icons/16x16/mimetypes/fptr.png \
655 images/icons/16x16/mimetypes/function.png \
656 images/icons/16x16/mimetypes/handle.png \
657 images/icons/16x16/mimetypes/int.png \
658 images/icons/16x16/mimetypes/list.png \
659 images/icons/16x16/mimetypes/mlist.png \
660 images/icons/16x16/mimetypes/noicon.png \
661 images/icons/16x16/mimetypes/object.png \
662 images/icons/16x16/mimetypes/polynomial.png \
663 images/icons/16x16/mimetypes/sparse.png \
664 images/icons/16x16/mimetypes/string.png \
665 images/icons/16x16/mimetypes/timeseries.png \
666 images/icons/16x16/mimetypes/tlist.png \
667 images/icons/16x16/mimetypes/uint.png \
668 images/icons/16x16/mimetypes/user.png
669
670 @GUI_TRUE@USEANT = 1
671
672 # Where all the Scilab stuff is installed (macros, help, ...)
673 mydatadir = $(pkgdatadir)/modules/$(modulename)
674
675 # Set AM_* SCI detected settings
676 AM_CPPFLAGS = $(SCI_CPPFLAGS)
677 AM_CFLAGS = $(SCI_CFLAGS)
678 AM_CXXFLAGS = $(SCI_CXXFLAGS)
679 # append includes to AM_FFLAGS to manage fortran includes
680 AM_FFLAGS = $(SCI_FFLAGS) -I$(top_srcdir)/modules/core/includes/
681
682 # Tag shared libraries with the Scilab version
683 AM_LDFLAGS = $(SCI_LDFLAGS) -version-number $(SCILAB_LIBRARY_VERSION)
684
685 # splint options
686 SPLINT_OPTIONS = -weak -booltype BOOL
687
688 ########################### JAVA ######################################
689 #### We are delegating java compilation to ant... Thanks to that
690 #### the procedure will be the same with Microsoft Windows (C)
691 #### and Linux/Unix
692 #######################################################################
693 TARGETS_ALL = $(am__append_4)
694
695 ################ MACROS ######################
696 # Rule to build a macro
697 # NOT USED  AT THE MOMENT
698 SUFFIXES = .sci 
699
700 ########### INSTALL DOCUMENTATION ###################
701
702 # Install documentation files into the right target
703 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
704 # automake needs the html files to be present which is not the case when
705 # we are building Scilab
706
707 # Where it should be installed
708 pkgdocdir = $(mydatadir)
709
710 # What is the mask of the help source
711 DOCMASKXML = *.xml
712
713 # What is the mask of the MathML sources
714 DOCMASKMML = *.mml
715
716 ########### INSTALL DATA ###################
717 # Install macros, help & demos
718 # Where it should be installed
719 pkgmacrosdir = $(mydatadir)
720 # Which directory we process
721 MACRODIRS = macros/
722 # Mask of the Scilab sources macros
723 MACROMASK = *.sci
724 # Mask of the Scilab executable sources macros
725 MACROBUILDMASK = *.sce
726 # Mask of the Scilab compiled macros
727 MACROBINMASK = *.bin
728 # List of the standard directory for tests
729 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests tests/java
730 # Where the demos should be installed
731 pkgdemosdir = $(mydatadir)
732 # List of the standard directory for demos
733 DEMOS_DIR = demos
734 # List of the standard directory for examples
735 EXAMPLES_DIR = examples
736 # Where to export JAVA archives (.jar)
737 JARDIR = jar/
738 # JAR files mask
739 JARMASK = *.jar
740 # Chapter file 
741 HELP_CHAPTERDIR = help/
742 HELP_CHAPTERFILE = addchapter.sce
743 HELP_CHAPTERLANG = en_US fr_FR pt_BR
744 all: $(BUILT_SOURCES)
745         $(MAKE) $(AM_MAKEFLAGS) all-am
746
747 .SUFFIXES:
748 .SUFFIXES: .sci .bin .c .cpp .lo .o .obj
749 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
750         @for dep in $?; do \
751           case '$(am__configure_deps)' in \
752             *$$dep*) \
753               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
754                 && { if test -f $@; then exit 0; else break; fi; }; \
755               exit 1;; \
756           esac; \
757         done; \
758         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/ui_data/Makefile'; \
759         $(am__cd) $(top_srcdir) && \
760           $(AUTOMAKE) --foreign modules/ui_data/Makefile
761 .PRECIOUS: Makefile
762 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
763         @case '$?' in \
764           *config.status*) \
765             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
766           *) \
767             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
768             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
769         esac;
770 $(top_srcdir)/Makefile.incl.am:
771
772 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
773         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
774
775 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
776         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
777 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
778         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
779 $(am__aclocal_m4_deps):
780
781 clean-noinstLTLIBRARIES:
782         -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
783         @list='$(noinst_LTLIBRARIES)'; \
784         locs=`for p in $$list; do echo $$p; done | \
785               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
786               sort -u`; \
787         test -z "$$locs" || { \
788           echo rm -f $${locs}; \
789           rm -f $${locs}; \
790         }
791
792 install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
793         @$(NORMAL_INSTALL)
794         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
795         list2=; for p in $$list; do \
796           if test -f $$p; then \
797             list2="$$list2 $$p"; \
798           else :; fi; \
799         done; \
800         test -z "$$list2" || { \
801           echo " $(MKDIR_P) '$(DESTDIR)$(pkglibdir)'"; \
802           $(MKDIR_P) "$(DESTDIR)$(pkglibdir)" || exit 1; \
803           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkglibdir)'"; \
804           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkglibdir)"; \
805         }
806
807 uninstall-pkglibLTLIBRARIES:
808         @$(NORMAL_UNINSTALL)
809         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
810         for p in $$list; do \
811           $(am__strip_dir) \
812           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$f'"; \
813           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$f"; \
814         done
815
816 clean-pkglibLTLIBRARIES:
817         -test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
818         @list='$(pkglib_LTLIBRARIES)'; \
819         locs=`for p in $$list; do echo $$p; done | \
820               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
821               sort -u`; \
822         test -z "$$locs" || { \
823           echo rm -f $${locs}; \
824           rm -f $${locs}; \
825         }
826
827 libsciui_data-algo.la: $(libsciui_data_algo_la_OBJECTS) $(libsciui_data_algo_la_DEPENDENCIES) $(EXTRA_libsciui_data_algo_la_DEPENDENCIES) 
828         $(AM_V_CXXLD)$(CXXLINK) $(am_libsciui_data_algo_la_rpath) $(libsciui_data_algo_la_OBJECTS) $(libsciui_data_algo_la_LIBADD) $(LIBS)
829
830 libsciui_data-disable.la: $(libsciui_data_disable_la_OBJECTS) $(libsciui_data_disable_la_DEPENDENCIES) $(EXTRA_libsciui_data_disable_la_DEPENDENCIES) 
831         $(AM_V_CCLD)$(LINK) -rpath $(pkglibdir) $(libsciui_data_disable_la_OBJECTS) $(libsciui_data_disable_la_LIBADD) $(LIBS)
832
833 libsciui_data.la: $(libsciui_data_la_OBJECTS) $(libsciui_data_la_DEPENDENCIES) $(EXTRA_libsciui_data_la_DEPENDENCIES) 
834         $(AM_V_CXXLD)$(libsciui_data_la_LINK) $(am_libsciui_data_la_rpath) $(libsciui_data_la_OBJECTS) $(libsciui_data_la_LIBADD) $(LIBS)
835
836 mostlyclean-compile:
837         -rm -f *.$(OBJEXT)
838
839 distclean-compile:
840         -rm -f *.tab.c
841
842 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciui_data_algo_la-BrowseVar.Plo@am__quote@
843 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciui_data_algo_la-BrowseVarManager.Plo@am__quote@
844 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciui_data_algo_la-EditVar.Plo@am__quote@
845 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciui_data_algo_la-FileBrowser.Plo@am__quote@
846 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciui_data_algo_la-FileBrowserChDir.Plo@am__quote@
847 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciui_data_algo_la-PutScilabVariable.Plo@am__quote@
848 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciui_data_algo_la-ui_data_wrap.Plo@am__quote@
849 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciui_data_disable_la-noui_data.Plo@am__quote@
850 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciui_data_la-gw_ui_data.Plo@am__quote@
851 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciui_data_la-sci_browsevar.Plo@am__quote@
852 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciui_data_la-sci_closeEditvar.Plo@am__quote@
853 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciui_data_la-sci_editvar.Plo@am__quote@
854 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciui_data_la-sci_filebrowser.Plo@am__quote@
855 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciui_data_la-sci_updatebrowsevar.Plo@am__quote@
856
857 .c.o:
858 @am__fastdepCC_TRUE@    $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
859 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
860 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
861 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
862 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
863
864 .c.obj:
865 @am__fastdepCC_TRUE@    $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
866 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
867 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
868 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
869 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
870
871 .c.lo:
872 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
873 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
874 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
875 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
876 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
877
878 libsciui_data_algo_la-ui_data_wrap.lo: src/jni/ui_data_wrap.c
879 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciui_data_algo_la-ui_data_wrap.lo -MD -MP -MF $(DEPDIR)/libsciui_data_algo_la-ui_data_wrap.Tpo -c -o libsciui_data_algo_la-ui_data_wrap.lo `test -f 'src/jni/ui_data_wrap.c' || echo '$(srcdir)/'`src/jni/ui_data_wrap.c
880 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libsciui_data_algo_la-ui_data_wrap.Tpo $(DEPDIR)/libsciui_data_algo_la-ui_data_wrap.Plo
881 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/jni/ui_data_wrap.c' object='libsciui_data_algo_la-ui_data_wrap.lo' libtool=yes @AMDEPBACKSLASH@
882 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
883 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciui_data_algo_la-ui_data_wrap.lo `test -f 'src/jni/ui_data_wrap.c' || echo '$(srcdir)/'`src/jni/ui_data_wrap.c
884
885 libsciui_data_algo_la-PutScilabVariable.lo: src/c/PutScilabVariable.c
886 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciui_data_algo_la-PutScilabVariable.lo -MD -MP -MF $(DEPDIR)/libsciui_data_algo_la-PutScilabVariable.Tpo -c -o libsciui_data_algo_la-PutScilabVariable.lo `test -f 'src/c/PutScilabVariable.c' || echo '$(srcdir)/'`src/c/PutScilabVariable.c
887 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libsciui_data_algo_la-PutScilabVariable.Tpo $(DEPDIR)/libsciui_data_algo_la-PutScilabVariable.Plo
888 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/PutScilabVariable.c' object='libsciui_data_algo_la-PutScilabVariable.lo' libtool=yes @AMDEPBACKSLASH@
889 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
890 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciui_data_algo_la-PutScilabVariable.lo `test -f 'src/c/PutScilabVariable.c' || echo '$(srcdir)/'`src/c/PutScilabVariable.c
891
892 libsciui_data_disable_la-noui_data.lo: src/noui_data/noui_data.c
893 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_disable_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciui_data_disable_la-noui_data.lo -MD -MP -MF $(DEPDIR)/libsciui_data_disable_la-noui_data.Tpo -c -o libsciui_data_disable_la-noui_data.lo `test -f 'src/noui_data/noui_data.c' || echo '$(srcdir)/'`src/noui_data/noui_data.c
894 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libsciui_data_disable_la-noui_data.Tpo $(DEPDIR)/libsciui_data_disable_la-noui_data.Plo
895 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/noui_data/noui_data.c' object='libsciui_data_disable_la-noui_data.lo' libtool=yes @AMDEPBACKSLASH@
896 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
897 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_disable_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciui_data_disable_la-noui_data.lo `test -f 'src/noui_data/noui_data.c' || echo '$(srcdir)/'`src/noui_data/noui_data.c
898
899 libsciui_data_la-gw_ui_data.lo: sci_gateway/c/gw_ui_data.c
900 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciui_data_la-gw_ui_data.lo -MD -MP -MF $(DEPDIR)/libsciui_data_la-gw_ui_data.Tpo -c -o libsciui_data_la-gw_ui_data.lo `test -f 'sci_gateway/c/gw_ui_data.c' || echo '$(srcdir)/'`sci_gateway/c/gw_ui_data.c
901 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libsciui_data_la-gw_ui_data.Tpo $(DEPDIR)/libsciui_data_la-gw_ui_data.Plo
902 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/gw_ui_data.c' object='libsciui_data_la-gw_ui_data.lo' libtool=yes @AMDEPBACKSLASH@
903 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
904 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciui_data_la-gw_ui_data.lo `test -f 'sci_gateway/c/gw_ui_data.c' || echo '$(srcdir)/'`sci_gateway/c/gw_ui_data.c
905
906 .cpp.o:
907 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
908 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
909 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
910 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
911 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
912
913 .cpp.obj:
914 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
915 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
916 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
917 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
918 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
919
920 .cpp.lo:
921 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
922 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
923 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
924 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
925 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
926
927 libsciui_data_algo_la-BrowseVar.lo: src/jni/BrowseVar.cpp
928 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciui_data_algo_la-BrowseVar.lo -MD -MP -MF $(DEPDIR)/libsciui_data_algo_la-BrowseVar.Tpo -c -o libsciui_data_algo_la-BrowseVar.lo `test -f 'src/jni/BrowseVar.cpp' || echo '$(srcdir)/'`src/jni/BrowseVar.cpp
929 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/libsciui_data_algo_la-BrowseVar.Tpo $(DEPDIR)/libsciui_data_algo_la-BrowseVar.Plo
930 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/jni/BrowseVar.cpp' object='libsciui_data_algo_la-BrowseVar.lo' libtool=yes @AMDEPBACKSLASH@
931 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
932 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciui_data_algo_la-BrowseVar.lo `test -f 'src/jni/BrowseVar.cpp' || echo '$(srcdir)/'`src/jni/BrowseVar.cpp
933
934 libsciui_data_algo_la-EditVar.lo: src/jni/EditVar.cpp
935 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciui_data_algo_la-EditVar.lo -MD -MP -MF $(DEPDIR)/libsciui_data_algo_la-EditVar.Tpo -c -o libsciui_data_algo_la-EditVar.lo `test -f 'src/jni/EditVar.cpp' || echo '$(srcdir)/'`src/jni/EditVar.cpp
936 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/libsciui_data_algo_la-EditVar.Tpo $(DEPDIR)/libsciui_data_algo_la-EditVar.Plo
937 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/jni/EditVar.cpp' object='libsciui_data_algo_la-EditVar.lo' libtool=yes @AMDEPBACKSLASH@
938 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
939 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciui_data_algo_la-EditVar.lo `test -f 'src/jni/EditVar.cpp' || echo '$(srcdir)/'`src/jni/EditVar.cpp
940
941 libsciui_data_algo_la-FileBrowser.lo: src/jni/FileBrowser.cpp
942 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciui_data_algo_la-FileBrowser.lo -MD -MP -MF $(DEPDIR)/libsciui_data_algo_la-FileBrowser.Tpo -c -o libsciui_data_algo_la-FileBrowser.lo `test -f 'src/jni/FileBrowser.cpp' || echo '$(srcdir)/'`src/jni/FileBrowser.cpp
943 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/libsciui_data_algo_la-FileBrowser.Tpo $(DEPDIR)/libsciui_data_algo_la-FileBrowser.Plo
944 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/jni/FileBrowser.cpp' object='libsciui_data_algo_la-FileBrowser.lo' libtool=yes @AMDEPBACKSLASH@
945 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
946 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciui_data_algo_la-FileBrowser.lo `test -f 'src/jni/FileBrowser.cpp' || echo '$(srcdir)/'`src/jni/FileBrowser.cpp
947
948 libsciui_data_algo_la-BrowseVarManager.lo: src/cpp/BrowseVarManager.cpp
949 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciui_data_algo_la-BrowseVarManager.lo -MD -MP -MF $(DEPDIR)/libsciui_data_algo_la-BrowseVarManager.Tpo -c -o libsciui_data_algo_la-BrowseVarManager.lo `test -f 'src/cpp/BrowseVarManager.cpp' || echo '$(srcdir)/'`src/cpp/BrowseVarManager.cpp
950 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/libsciui_data_algo_la-BrowseVarManager.Tpo $(DEPDIR)/libsciui_data_algo_la-BrowseVarManager.Plo
951 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/BrowseVarManager.cpp' object='libsciui_data_algo_la-BrowseVarManager.lo' libtool=yes @AMDEPBACKSLASH@
952 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
953 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciui_data_algo_la-BrowseVarManager.lo `test -f 'src/cpp/BrowseVarManager.cpp' || echo '$(srcdir)/'`src/cpp/BrowseVarManager.cpp
954
955 libsciui_data_algo_la-FileBrowserChDir.lo: src/cpp/FileBrowserChDir.cpp
956 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciui_data_algo_la-FileBrowserChDir.lo -MD -MP -MF $(DEPDIR)/libsciui_data_algo_la-FileBrowserChDir.Tpo -c -o libsciui_data_algo_la-FileBrowserChDir.lo `test -f 'src/cpp/FileBrowserChDir.cpp' || echo '$(srcdir)/'`src/cpp/FileBrowserChDir.cpp
957 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/libsciui_data_algo_la-FileBrowserChDir.Tpo $(DEPDIR)/libsciui_data_algo_la-FileBrowserChDir.Plo
958 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/FileBrowserChDir.cpp' object='libsciui_data_algo_la-FileBrowserChDir.lo' libtool=yes @AMDEPBACKSLASH@
959 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
960 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciui_data_algo_la-FileBrowserChDir.lo `test -f 'src/cpp/FileBrowserChDir.cpp' || echo '$(srcdir)/'`src/cpp/FileBrowserChDir.cpp
961
962 libsciui_data_la-sci_editvar.lo: sci_gateway/cpp/sci_editvar.cpp
963 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciui_data_la-sci_editvar.lo -MD -MP -MF $(DEPDIR)/libsciui_data_la-sci_editvar.Tpo -c -o libsciui_data_la-sci_editvar.lo `test -f 'sci_gateway/cpp/sci_editvar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_editvar.cpp
964 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/libsciui_data_la-sci_editvar.Tpo $(DEPDIR)/libsciui_data_la-sci_editvar.Plo
965 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_editvar.cpp' object='libsciui_data_la-sci_editvar.lo' libtool=yes @AMDEPBACKSLASH@
966 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
967 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciui_data_la-sci_editvar.lo `test -f 'sci_gateway/cpp/sci_editvar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_editvar.cpp
968
969 libsciui_data_la-sci_browsevar.lo: sci_gateway/cpp/sci_browsevar.cpp
970 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciui_data_la-sci_browsevar.lo -MD -MP -MF $(DEPDIR)/libsciui_data_la-sci_browsevar.Tpo -c -o libsciui_data_la-sci_browsevar.lo `test -f 'sci_gateway/cpp/sci_browsevar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_browsevar.cpp
971 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/libsciui_data_la-sci_browsevar.Tpo $(DEPDIR)/libsciui_data_la-sci_browsevar.Plo
972 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_browsevar.cpp' object='libsciui_data_la-sci_browsevar.lo' libtool=yes @AMDEPBACKSLASH@
973 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
974 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciui_data_la-sci_browsevar.lo `test -f 'sci_gateway/cpp/sci_browsevar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_browsevar.cpp
975
976 libsciui_data_la-sci_filebrowser.lo: sci_gateway/cpp/sci_filebrowser.cpp
977 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciui_data_la-sci_filebrowser.lo -MD -MP -MF $(DEPDIR)/libsciui_data_la-sci_filebrowser.Tpo -c -o libsciui_data_la-sci_filebrowser.lo `test -f 'sci_gateway/cpp/sci_filebrowser.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_filebrowser.cpp
978 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/libsciui_data_la-sci_filebrowser.Tpo $(DEPDIR)/libsciui_data_la-sci_filebrowser.Plo
979 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_filebrowser.cpp' object='libsciui_data_la-sci_filebrowser.lo' libtool=yes @AMDEPBACKSLASH@
980 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
981 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciui_data_la-sci_filebrowser.lo `test -f 'sci_gateway/cpp/sci_filebrowser.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_filebrowser.cpp
982
983 libsciui_data_la-sci_updatebrowsevar.lo: sci_gateway/cpp/sci_updatebrowsevar.cpp
984 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciui_data_la-sci_updatebrowsevar.lo -MD -MP -MF $(DEPDIR)/libsciui_data_la-sci_updatebrowsevar.Tpo -c -o libsciui_data_la-sci_updatebrowsevar.lo `test -f 'sci_gateway/cpp/sci_updatebrowsevar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_updatebrowsevar.cpp
985 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/libsciui_data_la-sci_updatebrowsevar.Tpo $(DEPDIR)/libsciui_data_la-sci_updatebrowsevar.Plo
986 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_updatebrowsevar.cpp' object='libsciui_data_la-sci_updatebrowsevar.lo' libtool=yes @AMDEPBACKSLASH@
987 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
988 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciui_data_la-sci_updatebrowsevar.lo `test -f 'sci_gateway/cpp/sci_updatebrowsevar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_updatebrowsevar.cpp
989
990 libsciui_data_la-sci_closeEditvar.lo: sci_gateway/cpp/sci_closeEditvar.cpp
991 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciui_data_la-sci_closeEditvar.lo -MD -MP -MF $(DEPDIR)/libsciui_data_la-sci_closeEditvar.Tpo -c -o libsciui_data_la-sci_closeEditvar.lo `test -f 'sci_gateway/cpp/sci_closeEditvar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_closeEditvar.cpp
992 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/libsciui_data_la-sci_closeEditvar.Tpo $(DEPDIR)/libsciui_data_la-sci_closeEditvar.Plo
993 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_closeEditvar.cpp' object='libsciui_data_la-sci_closeEditvar.lo' libtool=yes @AMDEPBACKSLASH@
994 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
995 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciui_data_la-sci_closeEditvar.lo `test -f 'sci_gateway/cpp/sci_closeEditvar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_closeEditvar.cpp
996
997 mostlyclean-libtool:
998         -rm -f *.lo
999
1000 clean-libtool:
1001         -rm -rf .libs _libs
1002 install-libsciui_data_la_etcDATA: $(libsciui_data_la_etc_DATA)
1003         @$(NORMAL_INSTALL)
1004         @list='$(libsciui_data_la_etc_DATA)'; test -n "$(libsciui_data_la_etcdir)" || list=; \
1005         if test -n "$$list"; then \
1006           echo " $(MKDIR_P) '$(DESTDIR)$(libsciui_data_la_etcdir)'"; \
1007           $(MKDIR_P) "$(DESTDIR)$(libsciui_data_la_etcdir)" || exit 1; \
1008         fi; \
1009         for p in $$list; do \
1010           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1011           echo "$$d$$p"; \
1012         done | $(am__base_list) | \
1013         while read files; do \
1014           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciui_data_la_etcdir)'"; \
1015           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciui_data_la_etcdir)" || exit $$?; \
1016         done
1017
1018 uninstall-libsciui_data_la_etcDATA:
1019         @$(NORMAL_UNINSTALL)
1020         @list='$(libsciui_data_la_etc_DATA)'; test -n "$(libsciui_data_la_etcdir)" || list=; \
1021         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1022         dir='$(DESTDIR)$(libsciui_data_la_etcdir)'; $(am__uninstall_files_from_dir)
1023 install-libsciui_data_la_rootDATA: $(libsciui_data_la_root_DATA)
1024         @$(NORMAL_INSTALL)
1025         @list='$(libsciui_data_la_root_DATA)'; test -n "$(libsciui_data_la_rootdir)" || list=; \
1026         if test -n "$$list"; then \
1027           echo " $(MKDIR_P) '$(DESTDIR)$(libsciui_data_la_rootdir)'"; \
1028           $(MKDIR_P) "$(DESTDIR)$(libsciui_data_la_rootdir)" || exit 1; \
1029         fi; \
1030         for p in $$list; do \
1031           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1032           echo "$$d$$p"; \
1033         done | $(am__base_list) | \
1034         while read files; do \
1035           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciui_data_la_rootdir)'"; \
1036           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciui_data_la_rootdir)" || exit $$?; \
1037         done
1038
1039 uninstall-libsciui_data_la_rootDATA:
1040         @$(NORMAL_UNINSTALL)
1041         @list='$(libsciui_data_la_root_DATA)'; test -n "$(libsciui_data_la_rootdir)" || list=; \
1042         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1043         dir='$(DESTDIR)$(libsciui_data_la_rootdir)'; $(am__uninstall_files_from_dir)
1044 install-libsciui_data_la_sci_gatewayDATA: $(libsciui_data_la_sci_gateway_DATA)
1045         @$(NORMAL_INSTALL)
1046         @list='$(libsciui_data_la_sci_gateway_DATA)'; test -n "$(libsciui_data_la_sci_gatewaydir)" || list=; \
1047         if test -n "$$list"; then \
1048           echo " $(MKDIR_P) '$(DESTDIR)$(libsciui_data_la_sci_gatewaydir)'"; \
1049           $(MKDIR_P) "$(DESTDIR)$(libsciui_data_la_sci_gatewaydir)" || exit 1; \
1050         fi; \
1051         for p in $$list; do \
1052           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1053           echo "$$d$$p"; \
1054         done | $(am__base_list) | \
1055         while read files; do \
1056           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciui_data_la_sci_gatewaydir)'"; \
1057           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciui_data_la_sci_gatewaydir)" || exit $$?; \
1058         done
1059
1060 uninstall-libsciui_data_la_sci_gatewayDATA:
1061         @$(NORMAL_UNINSTALL)
1062         @list='$(libsciui_data_la_sci_gateway_DATA)'; test -n "$(libsciui_data_la_sci_gatewaydir)" || list=; \
1063         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1064         dir='$(DESTDIR)$(libsciui_data_la_sci_gatewaydir)'; $(am__uninstall_files_from_dir)
1065 install-nobase_libsciui_data_la_iconsDATA: $(nobase_libsciui_data_la_icons_DATA)
1066         @$(NORMAL_INSTALL)
1067         @list='$(nobase_libsciui_data_la_icons_DATA)'; test -n "$(libsciui_data_la_iconsdir)" || list=; \
1068         if test -n "$$list"; then \
1069           echo " $(MKDIR_P) '$(DESTDIR)$(libsciui_data_la_iconsdir)'"; \
1070           $(MKDIR_P) "$(DESTDIR)$(libsciui_data_la_iconsdir)" || exit 1; \
1071         fi; \
1072         $(am__nobase_list) | while read dir files; do \
1073           xfiles=; for file in $$files; do \
1074             if test -f "$$file"; then xfiles="$$xfiles $$file"; \
1075             else xfiles="$$xfiles $(srcdir)/$$file"; fi; done; \
1076           test -z "$$xfiles" || { \
1077             test "x$$dir" = x. || { \
1078               echo " $(MKDIR_P) '$(DESTDIR)$(libsciui_data_la_iconsdir)/$$dir'"; \
1079               $(MKDIR_P) "$(DESTDIR)$(libsciui_data_la_iconsdir)/$$dir"; }; \
1080             echo " $(INSTALL_DATA) $$xfiles '$(DESTDIR)$(libsciui_data_la_iconsdir)/$$dir'"; \
1081             $(INSTALL_DATA) $$xfiles "$(DESTDIR)$(libsciui_data_la_iconsdir)/$$dir" || exit $$?; }; \
1082         done
1083
1084 uninstall-nobase_libsciui_data_la_iconsDATA:
1085         @$(NORMAL_UNINSTALL)
1086         @list='$(nobase_libsciui_data_la_icons_DATA)'; test -n "$(libsciui_data_la_iconsdir)" || list=; \
1087         $(am__nobase_strip_setup); files=`$(am__nobase_strip)`; \
1088         dir='$(DESTDIR)$(libsciui_data_la_iconsdir)'; $(am__uninstall_files_from_dir)
1089
1090 ID: $(am__tagged_files)
1091         $(am__define_uniq_tagged_files); mkid -fID $$unique
1092 tags: tags-am
1093 TAGS: tags
1094
1095 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1096         set x; \
1097         here=`pwd`; \
1098         $(am__define_uniq_tagged_files); \
1099         shift; \
1100         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
1101           test -n "$$unique" || unique=$$empty_fix; \
1102           if test $$# -gt 0; then \
1103             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1104               "$$@" $$unique; \
1105           else \
1106             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1107               $$unique; \
1108           fi; \
1109         fi
1110 ctags: ctags-am
1111
1112 CTAGS: ctags
1113 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1114         $(am__define_uniq_tagged_files); \
1115         test -z "$(CTAGS_ARGS)$$unique" \
1116           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1117              $$unique
1118
1119 GTAGS:
1120         here=`$(am__cd) $(top_builddir) && pwd` \
1121           && $(am__cd) $(top_srcdir) \
1122           && gtags -i $(GTAGS_ARGS) "$$here"
1123 cscopelist: cscopelist-am
1124
1125 cscopelist-am: $(am__tagged_files)
1126         list='$(am__tagged_files)'; \
1127         case "$(srcdir)" in \
1128           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
1129           *) sdir=$(subdir)/$(srcdir) ;; \
1130         esac; \
1131         for i in $$list; do \
1132           if test -f "$$i"; then \
1133             echo "$(subdir)/$$i"; \
1134           else \
1135             echo "$$sdir/$$i"; \
1136           fi; \
1137         done >> $(top_builddir)/cscope.files
1138
1139 distclean-tags:
1140         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1141
1142 distdir: $(DISTFILES)
1143         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1144         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1145         list='$(DISTFILES)'; \
1146           dist_files=`for file in $$list; do echo $$file; done | \
1147           sed -e "s|^$$srcdirstrip/||;t" \
1148               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1149         case $$dist_files in \
1150           */*) $(MKDIR_P) `echo "$$dist_files" | \
1151                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1152                            sort -u` ;; \
1153         esac; \
1154         for file in $$dist_files; do \
1155           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1156           if test -d $$d/$$file; then \
1157             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1158             if test -d "$(distdir)/$$file"; then \
1159               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1160             fi; \
1161             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1162               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1163               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1164             fi; \
1165             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1166           else \
1167             test -f "$(distdir)/$$file" \
1168             || cp -p $$d/$$file "$(distdir)/$$file" \
1169             || exit 1; \
1170           fi; \
1171         done
1172 check-am: all-am
1173         $(MAKE) $(AM_MAKEFLAGS) check-local
1174 check: $(BUILT_SOURCES)
1175         $(MAKE) $(AM_MAKEFLAGS) check-am
1176 all-am: Makefile $(LTLIBRARIES) $(DATA) all-local
1177 installdirs:
1178         for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(libsciui_data_la_etcdir)" "$(DESTDIR)$(libsciui_data_la_rootdir)" "$(DESTDIR)$(libsciui_data_la_sci_gatewaydir)" "$(DESTDIR)$(libsciui_data_la_iconsdir)"; do \
1179           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1180         done
1181 install: $(BUILT_SOURCES)
1182         $(MAKE) $(AM_MAKEFLAGS) install-am
1183 install-exec: install-exec-am
1184 install-data: install-data-am
1185 uninstall: uninstall-am
1186
1187 install-am: all-am
1188         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1189
1190 installcheck: installcheck-am
1191 install-strip:
1192         if test -z '$(STRIP)'; then \
1193           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1194             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1195               install; \
1196         else \
1197           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1198             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1199             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1200         fi
1201 mostlyclean-generic:
1202
1203 clean-generic:
1204
1205 distclean-generic:
1206         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1207         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1208
1209 maintainer-clean-generic:
1210         @echo "This command is intended for maintainers to use"
1211         @echo "it deletes files that may require special tools to rebuild."
1212         -test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
1213 clean: clean-am
1214
1215 clean-am: clean-generic clean-libtool clean-local \
1216         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES mostlyclean-am
1217
1218 distclean: distclean-am
1219         -rm -rf ./$(DEPDIR)
1220         -rm -f Makefile
1221 distclean-am: clean-am distclean-compile distclean-generic \
1222         distclean-local distclean-tags
1223
1224 dvi: dvi-am
1225
1226 dvi-am:
1227
1228 html: html-am
1229
1230 html-am:
1231
1232 info: info-am
1233
1234 info-am:
1235
1236 install-data-am: install-data-local install-libsciui_data_la_etcDATA \
1237         install-libsciui_data_la_rootDATA \
1238         install-libsciui_data_la_sci_gatewayDATA \
1239         install-nobase_libsciui_data_la_iconsDATA
1240
1241 install-dvi: install-dvi-am
1242
1243 install-dvi-am:
1244
1245 install-exec-am: install-pkglibLTLIBRARIES
1246
1247 install-html: install-html-am
1248
1249 install-html-am: install-html-local
1250
1251 install-info: install-info-am
1252
1253 install-info-am:
1254
1255 install-man:
1256
1257 install-pdf: install-pdf-am
1258
1259 install-pdf-am:
1260
1261 install-ps: install-ps-am
1262
1263 install-ps-am:
1264
1265 installcheck-am:
1266
1267 maintainer-clean: maintainer-clean-am
1268         -rm -rf ./$(DEPDIR)
1269         -rm -f Makefile
1270 maintainer-clean-am: distclean-am maintainer-clean-generic
1271
1272 mostlyclean: mostlyclean-am
1273
1274 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1275         mostlyclean-libtool
1276
1277 pdf: pdf-am
1278
1279 pdf-am:
1280
1281 ps: ps-am
1282
1283 ps-am:
1284
1285 uninstall-am: uninstall-libsciui_data_la_etcDATA \
1286         uninstall-libsciui_data_la_rootDATA \
1287         uninstall-libsciui_data_la_sci_gatewayDATA \
1288         uninstall-nobase_libsciui_data_la_iconsDATA \
1289         uninstall-pkglibLTLIBRARIES
1290
1291 .MAKE: all check check-am install install-am install-strip
1292
1293 .PHONY: CTAGS GTAGS TAGS all all-am all-local check check-am \
1294         check-local clean clean-generic clean-libtool clean-local \
1295         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES cscopelist-am \
1296         ctags ctags-am distclean distclean-compile distclean-generic \
1297         distclean-libtool distclean-local distclean-tags distdir dvi \
1298         dvi-am html html-am info info-am install install-am \
1299         install-data install-data-am install-data-local install-dvi \
1300         install-dvi-am install-exec install-exec-am install-html \
1301         install-html-am install-html-local install-info \
1302         install-info-am install-libsciui_data_la_etcDATA \
1303         install-libsciui_data_la_rootDATA \
1304         install-libsciui_data_la_sci_gatewayDATA install-man \
1305         install-nobase_libsciui_data_la_iconsDATA install-pdf \
1306         install-pdf-am install-pkglibLTLIBRARIES install-ps \
1307         install-ps-am install-strip installcheck installcheck-am \
1308         installdirs maintainer-clean maintainer-clean-generic \
1309         mostlyclean mostlyclean-compile mostlyclean-generic \
1310         mostlyclean-libtool pdf pdf-am ps ps-am tags tags-am uninstall \
1311         uninstall-am uninstall-libsciui_data_la_etcDATA \
1312         uninstall-libsciui_data_la_rootDATA \
1313         uninstall-libsciui_data_la_sci_gatewayDATA \
1314         uninstall-nobase_libsciui_data_la_iconsDATA \
1315         uninstall-pkglibLTLIBRARIES
1316
1317
1318 # This target enables tests for Scilab
1319 check-local: $(top_builddir)/scilab-bin test
1320         if test -d $(mydatadir)/tests; then \
1321           @COMMAND="try test_run('$(modulename)');catch exit(-1);end;exit(0)"; export LANG=C; $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"; \
1322         fi
1323 check-code:
1324         if test -f build.xml; then \
1325                 $(ANT) checkstyle; \
1326         fi
1327         if test -x "$(SPLINT)"; then \
1328                 $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
1329         fi
1330 @NEED_JAVA_TRUE@java:
1331 # Some configurations needs to export JAVA_HOME in the current env
1332 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1333 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1334 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1335 @NEED_JAVA_TRUE@                $(ANT); \
1336 @NEED_JAVA_TRUE@        fi
1337
1338 @NEED_JAVA_TRUE@clean-java:
1339 # Some configurations needs to export JAVA_HOME in the current env
1340 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1341 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1342 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1343 @NEED_JAVA_TRUE@                $(ANT) clean; \
1344 @NEED_JAVA_TRUE@        fi;
1345
1346 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1347 # We call the target swig-build on the variable SWIG_WRAPPERS
1348
1349 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
1350 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
1351 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
1352 @SWIG_TRUE@     if test -n "$(SWIG_WRAPPERS)"; then \
1353 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
1354 @SWIG_TRUE@                     echo "Swig process of $$file (Java) ..."; \
1355 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_JAVA) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
1356 @SWIG_TRUE@             done; \
1357 @SWIG_TRUE@     fi
1358
1359 @SWIG_TRUE@swig-scilab: $(SWIG_SCILAB_WRAPPERS)
1360 @SWIG_TRUE@     @SWIG_OUTDIR=src/swig/; \
1361 @SWIG_TRUE@     if test -n "$(SWIG_SCILAB_WRAPPERS)"; then \
1362 @SWIG_TRUE@             for file in $(SWIG_SCILAB_WRAPPERS) ; do \
1363 @SWIG_TRUE@                     echo "Swig process of $$file (Scilab) ..."; \
1364 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_SCILAB)  -outdir $$SWIG_OUTDIR $$file; \
1365 @SWIG_TRUE@             done; \
1366 @SWIG_TRUE@     fi
1367
1368 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1369 # We call the target swig-build on the variable SWIG_WRAPPERS
1370
1371 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
1372 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1373 @GIWS_TRUE@     if test -n "$(GIWS_WRAPPERS)"; then \
1374 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
1375 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
1376 @GIWS_TRUE@                     $(GIWS_BIN) --disable-return-size-array --output-dir $$GIWS_OUTPUTDIR --throws-exception-on-error --description-file $$file; \
1377 @GIWS_TRUE@             done; \
1378 @GIWS_TRUE@     fi
1379
1380 @GIWS_TRUE@giws-exception:
1381 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1382 @GIWS_TRUE@     echo "GIWS: Generation of exception class ..."; \
1383 @GIWS_TRUE@     $(GIWS_BIN) --generate-exception-class --output-dir $$GIWS_OUTPUTDIR 
1384
1385 macros:
1386         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1387                 echo "Error : Cannot build $< : Scilab has not been built"; \
1388         else \
1389                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
1390         fi)
1391
1392 # Removes the macros
1393 clean-macros:
1394 # Removes macros (*.bin generated from .sci)
1395         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1396                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
1397                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
1398         done
1399
1400 test:
1401 # More tests could be added here
1402         @if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1403         if test -f build.xml -a $$USEANT -eq 1; then \
1404                 $(ANT) test; \
1405         fi
1406
1407 all-local: $(TARGETS_ALL)
1408
1409 .sci.bin:
1410         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1411         echo "Error : Cannot build $< : Scilab has not been build"; \
1412         else \
1413         echo "Creating $@"; \
1414         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
1415         fi )
1416
1417 install-html-local:
1418
1419 install-data-local-local:
1420 # Mainly for javasci
1421         @if test -d $(srcdir)/javadoc; then \
1422                 cp -R $(srcdir)/javadoc $(DESTDIR)/$(mydatadir)/; \
1423         fi
1424 # If the user wants the help sources to be installed
1425 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
1426 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
1427 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
1428 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1429 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1430 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1431 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1432 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1433 @INSTALL_HELP_XML_TRUE@           done ; \
1434 @INSTALL_HELP_XML_TRUE@         fi; \
1435 @INSTALL_HELP_XML_TRUE@  fi; \
1436 @INSTALL_HELP_XML_TRUE@ done; \
1437 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
1438 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1439 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1440 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1441 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1442 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1443 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1444 @INSTALL_HELP_XML_TRUE@           done ; \
1445 @INSTALL_HELP_XML_TRUE@         fi; \
1446 @INSTALL_HELP_XML_TRUE@ fi
1447 install-data-local:
1448 # Install the tests
1449         @echo "-------- Install tests (if any) --------"; \
1450         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1451           if test -d $(srcdir)/$$dir/; then \
1452             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1453                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1454                     if test -d "$(srcdir)/$$dir/$$file"; then \
1455                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1456                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1457                     else \
1458                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1459                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1460                     fi \
1461                   done; \
1462           fi; \
1463         done
1464 # Install the help chapter
1465         @echo "-------- Install the help chapter (if any) --------"; \
1466         for lang in $(HELP_CHAPTERLANG); do \
1467                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1468                 if test -f $$HELPFILE; then \
1469                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1470                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1471                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1472                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1473                 fi; \
1474         done
1475 # Install the demos & examples
1476         @echo "-------- Install demos & examples (if any) --------"; \
1477         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1478           if test -d $(srcdir)/$$dir/; then \
1479             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1480                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1481                     if test -d "$(srcdir)/$$dir/$$file"; then \
1482                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1483                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1484                     else \
1485                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1486                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1487                     fi \
1488                   done; \
1489           fi; \
1490         done
1491 # Install the macros
1492         @echo "-------- Install macros (if any) --------"; \
1493         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1494           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1495                 if test -d $(srcdir)/$$dir/; then \
1496                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1497                         if test -n "$(MACROSSPECIALEXT)"; then \
1498                                 specialExtDir=""; \
1499                                 for specialExt in $(MACROSSPECIALEXT); do \
1500                                         specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1501                                 done; \
1502                                 FILELIST="$$FILELIST $$specialExtDir"; \
1503                         fi; \
1504                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1505                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1506                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1507                   done; \
1508                 fi; \
1509         done
1510 # Install java files (.jar)
1511         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1512         echo "-------- Install jar files --------"; \
1513     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1514           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1515                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1516                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1517           done ; \
1518         fi
1519
1520 ########### CLEAN ###################
1521 # Clean help (generated automatically by Scilab)
1522 # It used to clean the macro (clean-macros) but this was causing
1523 # make clean && make to fail Scilab startup
1524 @NEED_JAVA_TRUE@clean-local: clean-java
1525 @NEED_JAVA_FALSE@clean-local:
1526
1527 distclean-local:
1528         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1529
1530 .PHONY: macros java swig giws
1531
1532 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1533 # Otherwise a system limit (for SysV at least) may be exceeded.
1534 .NOEXPORT: